# OSGeo::FDO::Raster::DataValueCollection Class Reference
[OSGeo::FDO::Raster]

Inheritance diagram for OSGeo::FDO::Raster::DataValueCollection:

[legend]

List of all members.

## Detailed Description

DataValueCollection is a collection of DataValue objects.

()

## Public Member Functions
System::Int32 | Add (DataValue *value)
| Adds a DataValue object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (DataValue *value)
| Determines whether the collection contains a specific DataValue object.
System::Void | CopyTo (DataValue *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
| DataValueCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a DataValueCollection object based on an unmanaged instance of the object.
| DataValueCollection ()
| The defaut constructor for the object.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property DataValue * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property DataValue * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (DataValue *value)
| Determines the index of a specific DataValue object.
System::Void | Insert (System::Int32 index, DataValue *value)
| Inserts a DataValue object into the collection at the specified position.
System::Void | Remove (DataValue *value)
| Removes the first occurrence of a specific DataValue object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th DataValue from this collection.
__property System::Void | set_Item (System::Int32 index, DataValue *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, DataValue *value)
| Sets the value of the item at the specified index.